\ **********************************************************************
\ * HEXBATIN.FTH fr F-TP 1.00  [ Turbo-FORTH-83 fr Transputer T800 ] *
\ *                                                                    *
\ *  Fr gezielte Hexeingaben in Batchdateien wie in CONFIG.BAT etc.   *
\ *                                                                    *
\ *    Fred Behringer  Planegger Str. 24  81241 Mnchen   29.3.96      *
\ **********************************************************************

\ Die DOS-Batchsprache scheint keine Eingabemglichkeit fr Zahlen zu haben.
\ Die vorliegende Datei ist  nach dem Schema  TRANSSYS  INCLUDE HEXBATIN BYE
\ zu verwenden .  ( Die zwei - mehr als eine - Leerstellen zwischen TRANSSYS
\ und INCLUDE  sorgen dafr ,  dass TRANSSYS.COM ohne die vielen erklrenden
\ Bildschirmausgaben aufgerufen wird. )
\ Das Programm prft die Eingaben auf Zulssigkeit und gibt einen Errorlevel
\ 0 im Falle der Zulssigkeit  und einen Errorlevel 1  im Falle der Unzuls-
\ sigkeit aus.
\ Die eingegebene Zahl wird  auf dem Bildschirm ausgegeben  und gleichzeitig
\ an die Stelle  0040:00FC  im Speicher gelegt.  Das ist das Ende des in den
\ DOS-Unterlagen  mit  "inter application communications area"  bezeichneten
\ Abschnitts im BIOS-Variablenbereich.
\ Die eingebenene Zahl wird  ( im 16bittigen Hostsystem )  als doppeltgenaue
\ vorzeichenlose Hexadezimalzahl interpretiert.  Sie wird in der Reihenfolge
\ 40 FE L! 40 FC L!  ( siehe unten ) gespeichert und muss in der Reihenfolge
\ 40 FC L! 40 FE L! wieder abgeholt werden. Es werden nur die letzten 8 ein-
\ gegebenen Ziffern  bercksichtigt.


HEX

: FEHLER CR BOLD ." Keine Hexzahl !" ATTOFF CR 1 BYE ;

80 STRING EINGABE

EINGABE INPUT$

: MAIN
     " . " EINGABE APPEND$ EINGABE UPPER
     EINGABE DROP 1- NUMBER?
     IF   40 FE L! 40 FC L! 0 BYE
     ELSE FEHLER
     THEN ;

MAIN
