@ECHO OFF
ECHO ****************************************************************
ECHO * PORTTMET.BAT                                                 *
ECHO *     fr F-TP 1.00 [ Turbo-FORTH-83 fr Transputer T800 ]     *
ECHO *                                                              *
ECHO * Umstellung der Linkadapter-Basis-Portadresse in TRANSMET.COM *
ECHO *                                                              *
ECHO * Fred Behringer   Planegger Str. 24   81241 Mnchen   10.4.95 *
ECHO ****************************************************************

IF NOT EXIST TRANSMET.COM GOTO Fehler2
IF "%1"=="" GOTO Fehler1
ECHO.
PAUSE
TRANSMET %1 DARK SERVER HEX LINKBASE ! FORTH SAVE-SYSTEM TRANSMET.COM BYE
GOTO OK

:Fehler1
ECHO.
ECHO Kein Parameter angegeben !  ( Syntax: PORTTMET xxx )
ECHO.
ECHO xxx wird als Hexadezimalzahl interpretiert, z.B. 150h, und legt die Basis-
ECHO adresse des Linkadapters fest.
ECHO TRANSMET.COM wird aufgerufen. Die Variable LINKBASE wird auf den Hexadezi-
ECHO malwert xxx gesetzt. Sodann wird das Host-Server-System einschlielich Me-
ECHO tacompiler wieder als TRANSMET.COM abgespeichert.
ECHO Man kann das Ganze als ein "Patchen" von TRANSMET.COM auffassen.
ECHO Eingabe von TRANSMET [RET]  ( ohne Parameter von der DOS-Ebene aus ) lsst
ECHO ab dann TRANSMET.COM auf die Linkadapter-Adresse xxx wirken.  Das ist z.B.
ECHO beim Betrieb mehrerer Transputerkarten, mit unterschiedlicher Portadresse,
ECHO sinnvoll.  Natrlich wirkt sich das auch auf  TRESUME.BAT und LOAD-FTP.BAT
ECHO aus, und, vom Server im Host aus gesehen, auf START.
GOTO Ende

:OK
ECHO.
ECHO Die Basisadresse des Linkadapters wurde jetzt auf %1h gesetzt.
ECHO Wird TRANSMET.COM ohne Parameter aufgerufen, so stellt sich ab
ECHO jetzt immer dieser Wert ein.
GOTO Ende

:Fehler2
ECHO.
ECHO Datei TRANSMET.COM nicht im aktuellen Verzeichnis !

:Ende

ECHO ON
