\ INPUT.FTH

\ Zur interaktiven Zahleneingabe aus einem Forth-Programm heraus.
\ Funktioniert sowohl in Turbo-Forth als auch in F-TP.
\ Die eingegebene Zahl  mu der im Moment der Eingabe eingestell-
\ ten Basis entsprechen.  Sie wird als doppeltgeneue Zahl auf den
\ Stack gelegt,  gefolgt von TRUE im Erfolgsfall,  bzw. FALSE  im
\ Falle des Milingens ( unzulssige Eingabe ). Im Milingensfall
\ wird die eingegebene Zahl bis zum ersten nicht mehr umwandelba-
\ ren Zeichen  auf den Stack gelegt.  Die Eingabe  kann mit Punkt
\ erfolgen, der Punkt kann aber auch weggelassen werden. Die Ein-
\ gabe wird auf jeden Fall als doppeltgenaue Zahl interpretiert.


: INPUT ( -- d fl )
     [ HEX ] 0FF PAD C! 0 PAD 1+ C!
     PAD 2 + 0 INPUT$
     " . " PAD 2 + PAD 1+ C@ APPEND$
     PAD 2 + PAD 1+ C@ UPPER PAD 1+ NUMBER? ;
